[polly] r223152 - checkout_isl: Do not fail in presence of an old CLooG checkout

Tobias Grosser tobias at grosser.es
Tue Dec 2 13:04:20 PST 2014


Author: grosser
Date: Tue Dec  2 15:04:20 2014
New Revision: 223152

URL: http://llvm.org/viewvc/llvm-project?rev=223152&view=rev
Log:
checkout_isl: Do not fail in presence of an old CLooG checkout

This should help our buildbots and may also simplify life for other people.

Modified:
    polly/trunk/utils/checkout_isl.sh

Modified: polly/trunk/utils/checkout_isl.sh
URL: http://llvm.org/viewvc/llvm-project/polly/trunk/utils/checkout_isl.sh?rev=223152&r1=223151&r2=223152&view=diff
==============================================================================
--- polly/trunk/utils/checkout_isl.sh (original)
+++ polly/trunk/utils/checkout_isl.sh Tue Dec  2 15:04:20 2014
@@ -39,7 +39,19 @@ check_isl_directory() {
     IS_GIT=0
   else
     echo ":: Existing git repo found"
-    IS_GIT=1
+
+    git log cc726006058136865f8c2f496d3df57b9f937ea5 2> /dev/null > /dev/null
+    OUT=$?
+    if [ $OUT -eq 0 ];then
+         echo ":: ISL repository found!"
+         IS_GIT=1
+    else
+         echo ":: Unknown repository found (CLooG?)!"
+         echo ":: Moving it to ${ISL_DIR}_old"
+         run mv ${ISL_DIR} ${ISL_DIR}_old
+         run mkdir ${ISL_DIR}
+         IS_GIT=0
+    fi
   fi
 }
 





More information about the llvm-commits mailing list